Use Northwind
GO

-- Ein paar nderungen
UPDATE dbo.Customers SET Country = 'Germany' WHERE Customers.CustomerID = 'ALFKI'
UPDATE dbo.Customers SET ContactName = 'Maria Anders' WHERE Customers.CustomerID = 'ALFKI'
UPDATE dbo.Customers SET Address = 'Obere Str. 57' WHERE Customers.CustomerID = 'ALFKI'
DELETE FROM dbo.Customers WHERE Customers.CustomerID = 'SEK2'

-- Beweise
SELECT * FROM dbo.Customers WHERE CustomerID IN ('ALFKI', 'SEK2')
GO


-- nderungen ber einen bestimmten Zeitraum
DECLARE @ZeitVon datetime = dateadd(mi, -2, getdate()),  
	@ZeitBis datetime = GETDATE(); 
	
-- Umrechnung von Zeit in LSN
DECLARE @LsnVon binary(10) = sys.fn_cdc_map_time_to_lsn('smallest greater than or equal', @ZeitVon),	
	@LsnBis binary(10) = sys.fn_cdc_map_time_to_lsn('largest less than or equal', @ZeitBis);
		
-- Ausgabe Zeit und LSN
SELECT	@ZeitVon, @LsnVon, @ZeitBis, @LsnBis 


-- Ausgabe nur neue Werte
SELECT * FROM cdc.fn_cdc_get_all_changes_dbo_Customers(@LsnVon, @LsnBis, 'all');	

-- Ausgabe alte und neue Werte
SELECT * FROM cdc.fn_cdc_get_all_changes_dbo_Customers(@LsnVon, @LsnBis, 'all update old');
GO